LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 01-31-2004, 09:10 AM   #1
snakedriver
Member
 
Registered: Nov 2003
Location: North East Arkansas
Distribution: Suse 9.2 x86-64
Posts: 59

Rep: Reputation: 15
suse 9.0/open office/libjawt.so


I have a dependency error in open office with libjawt.so. I initially told yast to ignore it and had no problems with open office, but I havn't used it that much. Now that I am getting the feel of linux, I thought I would go back and fix it.
I could not get yast to find the file. Went on the web and found the file & its setting on my desktop. I can't get yast to do anything with it -- I guess because its not an rpm. Some on the web say to install JRE. Suse has a page that says ver 1.4.2 fo 9.0 but when I go to download page its 1.3.x.
How do I stick this file in its proper location.
Snakedriver
 
Old 03-05-2004, 09:54 PM   #2
bmschkerke
LQ Newbie
 
Registered: Mar 2004
Posts: 8

Rep: Reputation: 0
libjawt.so is included with the JRE, or Java Runtime Engine. You can grab a JRE from either http://www.sun.com or http://www.blackdown.org.

The reason your system isn't recognizing the file is because the dependencies on your system are actually tracked through the RPM database. If you didn't install the file using an RPM then it doesn't know the file exists. That's why each RPM has a "provides" and "requires" section.

If you find an RPM that "provides" libjawt.so then the error will go away permanently.

I hope that helps. If I'm wrong someone will correct me I'm sure.

Brian
 
Old 03-06-2004, 07:20 AM   #3
snakedriver
Member
 
Registered: Nov 2003
Location: North East Arkansas
Distribution: Suse 9.2 x86-64
Posts: 59

Original Poster
Rep: Reputation: 15
Brian,
Evidently the D/L,free version of Suse doesn't provide Java and Java is propriatary -- even though it can be obtained free @ sun.com. Anyway, I D/Ld java rpm & installed with yast & problem went away.
Thanks,
Snakedriver
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Install Open Office 2.0 on SUSE Pro 9.1 -- Missinbg Core 1 Lance Green Linux - Software 2 11-06-2005 04:57 AM
SUSE 10, Samba + Open Office EclipseAgent Suse/Novell 3 10-28-2005 03:28 PM
English SUSE with Danish Open Office? Happeren Suse/Novell 3 10-17-2005 03:11 AM
updating open office suse 9.2 squimmy Suse/Novell 2 06-29-2005 04:37 PM
libjawt.so realated problem (in Suse 9.0) wictro Linux - Newbie 8 02-07-2004 05:20 PM


All times are GMT -5. The time now is 09:42 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration